Extending Qt Creator Manual | ToolChainKitInformation

Extending Qt Creator Manual 4.3.0

# ToolChainKitInformation Class

(ProjectExplorer::ToolChainKitInformation)

Inherits: | ProjectExplorer::KitInformation

- List of all members, including inherited members

## Public Functions

| ToolChainKitInformation()

- 15 public functions inherited from ProjectExplorer::KitInformation

## Static Public Members

void | clearToolChain(Kit *k, Core::Id language)
Core::Id | id()
QString | msgNoToolChainInTarget()
void | setToolChain(Kit *k, ToolChain *tc)
Abi | targetAbi(const Kit *k)
ToolChain * | toolChain(const Kit *k, Core::Id language)
QList<ToolChain *> | toolChains(const Kit *k)

### Additional Inherited Members

- 3 protected functions inherited from ProjectExplorer::KitInformation

## Member Function Documentation

### ToolChainKitInformation::ToolChainKitInformation()

Default constructs an instance of ToolChainKitInformation.

### `[static]` void ToolChainKitInformation::clearToolChain(Kit *k, Core::Id language)

### `[static]` Core::Id ToolChainKitInformation::id()

### `[static]` QString ToolChainKitInformation::msgNoToolChainInTarget()

### `[static]` void ToolChainKitInformation::setToolChain(Kit *k, ToolChain *tc)

See also toolChain().

### `[static]` Abi ToolChainKitInformation::targetAbi(const Kit *k)

### `[static]` ToolChain *ToolChainKitInformation::toolChain(const Kit *k, Core::Id language)

See also setToolChain().

### `[static]` QList<ToolChain *> ToolChainKitInformation::toolChains(const Kit *k)